Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.config
Class ConfigurationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              net.jini.config.ConfigurationException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ConfigurationNotFoundException, NoSuchEntryException

public class ConfigurationException
extends Exception

Thrown if a problem occurs when obtaining configuration information. If the problem results from an exception being thrown while processing the configuration information, that original exception can be accessed by calling `getCause`. Note that any instance of `Error` thrown while processing the configuration information is propagated to the caller; it is not wrapped in a `ConfigurationException`.

Since:
  2.0
See Also:
  `Configuration`, `ConfigurationProvider`, Serialized Form

Constructor Summary
`ConfigurationException(String s)` Creates an instance with the specified detail message.
`ConfigurationException(String s, Throwable t)` Creates an instance with the specified detail message and causing exception, which should not be an instance of `Error`.

Method Summary
`String` | `toString()` Returns a short description of this exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfigurationException

    public ConfigurationException(String s)

  Creates an instance with the specified detail message.

Parameters:
  `s` - the detail message

### ConfigurationException

    public ConfigurationException(String s,
                                  Throwable t)

  Creates an instance with the specified detail message and causing exception, which should not be an instance of `Error`.

Parameters:
  `s` - the detail message
  `t` - the causing exception

Method Detail

### toString

    public String toString()

  Returns a short description of this exception. The result includes the name of the actual class of this object; the result of calling the `getMessage` method for this object, if the result is not `null`; and the result of calling `toString` on the causing exception, if that exception is not `null`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved